<template>
<slot>
<h3>{{title}}</h3>
</slot>
<p>
{{name}}
</p>
  <h3>Name</h3>
  <div>
    <button type="button" @click="logName">kliiiiick</button>
    <span>{{name}}</span>
  </div>
  <TestComp/>

</template>

<script setup>
import TestComp from "@/views/TestComp.vue";
import {ref} from "vue";

const name = ref('Steff')

function logName() {
  name.value += '   Tadina';
  console.log(name.value)
}
const props = defineProps( {
  title: String,
  newName: String
})
</script>

<style scoped>

</style>